# Fish configuration file

alias ls='ls --color=auto'
alias ll='ls -l'
alias la='ls -A'
alias l='ls -CF'

alias rm='rm -i --preserve-root'
alias gcc='gcc-5'
alias g++='g++-5'
alias python='python3'

alias json='python -m json.tool'

set GUROBI_PATH $HOME/.softwares/gurobi651/linux64

set -x LD_LIBRARY_PATH $LD_LIBRARY_PATH /usr/local/lib $GUROBI_PATH/lib
set -x PATH ~/.softwares/bin $PATH $GUROBI_PATH/bin

set PYTHONPATH $PYTHONPATH $HOME/Dev/python/libs /local/lib/python3.4
set -x PYTHONPATH $PYTHONPATH /usr/local/lib/python3.4 $GUROBI_PATH/lib/python3.4_utf32

set -x DATA_FOLDER /net/cetus/data/ogsn
set -x ACCESS_FOLDER {$DATA_FOLDER}/access
set -x DATASETS_FOLDER {$DATA_FOLDER}/datasets
set -x INSTANCES_FOLDER {$DATA_FOLDER}/instances
set -x RESULTS_FOLDER {$DATA_FOLDER}/results

set -x GRB_LICENSE_FILE $GUROBI_PATH/gurobi.lic

umask 022


set -x LC_ALL en_US.utf8
set -x TERM xterm-256color
